Subject: Patch to resize.c for interactive resizing

From: Tim Phipps <[email-masked]>
Date: Mon, 05 Oct 1998 13:48:45 +0100

Hi All,
	Here's a patch to resize.c that affects interactive resizes only i.e.
Resize X Y isn't affected.  What it does is alter the constraining
function that is used when windows have resize increments (like xterm). 
With the patch interactive resizes set the size so that the pointer is
always inside or on the rubberband frame rather than always outside or
on the rubberband frame.  My problem with the old style was that when
resizing xterms I would get unwanted focus changes due to the pointer
being outside the frame i.e. it would end up in another window which
would then get the focus at the end of the resize.

I left the non-interactive resize alone as if I hadn't a Resize 100 100
would give you a window slightly larger than the screen rather than
slightly smaller.

Cheers,
Tim.